Bug 219868 - permission of /var/log/xen/xend-debug.log wrong
permission of /var/log/xen/xend-debug.log wrong
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Markus Armbruster
Martin Jenner
:
Depends On:
Blocks: 234227
  Show dependency treegraph
 
Reported: 2006-12-15 15:01 EST by Ulrich Drepper
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 19:17:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2006-12-15 15:01:44 EST
Description of problem:
The /var/log/xen/xend-debug.log file has the wrong permission set, it includes
the execution bit.  This is not necessary and potentially a problem.

Version-Release number of selected component (if applicable):
xen-3.0.3-0.1

How reproducible:
always

Steps to Reproduce:
1.start xend
2.ls -l /var/log/xen/xend-debug.log
3.
  
Actual results:
-rwxr-xr-x 1 root root 21716 Dec 14 07:40 /var/log/xen/xend-debug.log


Expected results:
-rw-r--r-- 1 root root 21716 Dec 14 07:40 /var/log/xen/xend-debug.log


Additional info:
Comment 1 Daniel Berrange 2007-04-26 11:48:33 EDT
Fix is in upstream xen-unstable.hg

http://xenbits.xensource.com/xen-unstable.hg?rev/58e98e803378
http://xenbits.xensource.com/xen-unstable.hg?rev/3d613faed8c3

Will include it in next set of FC6 & rawhide RPMs which are pushed out.
Comment 2 Red Hat Bugzilla 2007-07-24 20:04:07 EDT
change QA contact
Comment 3 Daniel Berrange 2007-09-24 19:17:15 EDT
Fixed in FC6 in:

* Thu Jun 21 2007 Markus Armbruster <armbru@redhat.com> - 3.0.3-10.fc6
- Create xend-debug.log with sane permissions (bz 219868

Note You need to log in before you can comment on or make changes to this bug.